import request from '../utils/request'

//用户订单列表
export function userMainOrderList(data) {
	return request({
		url: `/core/users/orders/mainOrderList`,
		method: 'get',
		params: data
	})
}


// 用户订单列表详情
export function orderInfomainOrderId(mainOrderId) {
	return request({
		url: `/core/users/orders/orderInfo/${mainOrderId}`,
		method: 'get',
	})
}

//获取用户订单列表状态
export function systemDictdaTalist() {
	return request({
		url: `/system/dict/data/list`,
		method: 'get',
		params: {
			pageNum: 1,
			pageSize: 10,
			dictType: 'order_status'
		}
	})
}

// 用户评价小订单
export function usersUserFinishOrder(data) {
	return request({
		url: `/core/users/orders/userFinishOrder`,
		method: 'post',
		data:data
	})
}

// 用户详情小订单
export function userdictDataList(params) {
	return request({
		url: `/system/dict/data/list`,
		method: 'get',
		params: params
	})
}


// 订单取消---退款信息回显
export function userdictOrderInfo(mainOrderId) {
	return request({
		url: `/core/users/refund/orderInfo/${mainOrderId}`,
		method: 'get',
	})
}


// 提交退款申请
export function refunDnewOrderRefund(data) {
	return request({
		url: `/core/users/refund/newOrderRefund`,
		method: 'post',
		data:data
	})
}
